Skip to main content
PATCH
/
gitea-integration
/
project
/
{projectId}
Update Gitea Integration
curl --request PATCH \
  --url https://cloud.kaneo.app/api/gitea-integration/project/{projectId} \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --data '
{
  "isActive": true,
  "commentTaskLinkOnGiteaIssue": true
}
'
{
  "id": "<string>",
  "projectId": "<string>",
  "baseUrl": "<string>",
  "repositoryOwner": "<string>",
  "repositoryName": "<string>",
  "maskedAccessToken": "<string>",
  "isActive": true,
  "createdAt": "2023-11-07T05:31:56Z",
  "updatedAt": "2023-11-07T05:31:56Z",
  "webhookUrl": "<string>",
  "webhookSecret": "<string>",
  "branchPattern": "<string>",
  "commentTaskLinkOnGiteaIssue": true
}

Authorizations

Authorization
string
header
required

Bearer token authentication

Path Parameters

projectId
string
required

Body

application/json
isActive
boolean

Response

200 - application/json

Updated

id
string
required
projectId
string
required
baseUrl
string
required
repositoryOwner
string
required
repositoryName
string
required
maskedAccessToken
string
required
isActive
boolean | null
required
createdAt
string<date-time>
required
updatedAt
string<date-time>
required
webhookUrl
string
webhookSecret
string
branchPattern
string